#!/bin/sh
glilang=en


# This script must be run from within the directory in which it lives
thisdir=`pwd`
if [ ! -f "${thisdir}/makejar.sh" ]; then
    if [ "$glilang" == "es" ]; then
        echo "Este guin deber ejecutarse desde el directorio en el que reside."
    elif [ "$glilang" == "fr" ]; then
	echo "Ce script doit tre excut  partir du rpertoire dans lequel il se trouve."
    elif [ "$glilang" == "ru" ]; then
	echo "      ,    "
    else
	echo "This script must be run from the directory in which it resides."
    fi
    exit 1
fi

## ---- Check that the GLI has been compiled ----
if [ ! -f "classes/org/greenstone/gatherer/GathererProg.class" ]; then
    echo
    if [ "$glilang" == "es" ]; then
	echo "Usted necesita compilar la Interfaz de la Biblioteca Digital Greenstone"
	echo "(por medio de makegli.sh) antes de ejecutar este guin."
    elif [ "$glilang" == "fr" ]; then
	echo "Vous devez compiler le Greenstone Interface (en utilisant makegli.sh)"
	echo "avant d'excuter ce script."
    elif [ "$glilang" == "ru" ]; then
	echo "     Greenstone"
	echo "( makegli.sh)    "
    else
	echo "You need to compile the Greenstone Librarian Interface (using makegli.sh)"
	echo "before running this script."
    fi
    exit 1
fi

echo "Assuming that Java code is freshly compiled..."

# All the GLI class files and supporting libraries are put into the "jar" directory
if [ ! -d jar ]; then
  mkdir jar

  cd lib
  jar xf activation.jar com javax
  jar xf apache.jar com org
  jar xf mail.jar com javax
  jar xf qfslib.jar de

  mv com de javax org ../jar/.
  cd ..
fi

# Copy the latest version of the GLI classes into the jar directory
rm -rf jar/org/greenstone
cp -r classes/org/greenstone jar/org

# Some of the things to go into the JAR file are optional, and may not exist
optional=
if [ -f collect.zip ]; then
    optional="$optional collect.zip"
fi
if [ -f classifiers.dat ]; then
    optional="$optional classifiers.dat"
fi
if [ -f plugins.dat ]; then
    optional="$optional plugins.dat"
fi
 
# Jar everything up
jar cf GLI.jar .java.policy $optional help \
    -C classes dictionary.properties -C classes dictionary_es.properties \
    -C classes dictionary_fr.properties -C classes dictionary_ru.properties \
    -C classes feedback.properties -C classes metadata.zip \
    -C classes images -C classes xml \
    -C jar com -C jar de -C jar javax -C jar org


# ---- Make signed JAR file for the applet, if desired ----
if [ "$1" == "-sign" ]; then
    rm -f SignedGatherer.jar
    echo "greenstone" | jarsigner -keystore .greenstonestore -signedjar SignedGatherer.jar GLI.jar privateKey 2> /dev/null
    echo
    echo "Installing SignedGatherer in ../bin/java"
    mv SignedGatherer.jar ../bin/java/.
fi
